package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.SysRole;
import com.qmth.teachcloud.common.entity.SysRolePrivilege;

import java.util.List;

/**
 * <p>
 * 角色和菜单关联表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysRolePrivilegeService extends IService<SysRolePrivilege> {

    void removeByRoleId(Long id);

    void saveBatch(SysRole role);

    List<SysRolePrivilege> listByRoleId(Long roleId);
}
